#ifndef struct_h
#define struct_h
#define TAILLE_MAX 21
#define TAILLE_MAX_DOC 100
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "teZZt.h"

#define RUN_TEST 1
#define AFFICHE 2
#define AFFICHE_MOTIF 3
#define AFFICHE_MOTIF_SUPPR 4
#define AFFICHE_MOTIF_DATE 7
#define AFFICHE_MOTIF_DATE_SUPPR 8
#define ERREUR -1

#define SUPPR 1
#define SELECT 0

#define i_NOM_FIC 1
#define i_MOTIF 2
#define i_ANNEE 3
#define i_SUPPR1 3
#define i_SEMAINE 4
#define i_JOUR 5
#define i_HEURE 6
#define i_SUPPR2 7

#define L_VIDE 0
#define L_ANNEE 4
#define L_SEMAINE 2
#define L_JOUR 1
#define L_HEURE 2
#define nomFicTemp "temp.txt"



// typedef struct liste_semaine {

//     struct semaine * suiv;

// }tete_t;

typedef struct semaine {

    char annee[5];
    char semaine[3];
    struct action * act;
    struct semaine * suiv;
    
}semaine_t;


typedef struct action {

    char jour[2];
    char heure[3];
    char nom[11];
    struct action * suiv;

}action_t;

typedef struct liste_contigue {

  char * debut;
  char * fin;

}listeC_t;


struct semaine * creerTete();
int tailleFichier(char[TAILLE_MAX]);
void creerTab(char[][TAILLE_MAX], char *);
void triFusion(int, int, char[][TAILLE_MAX], char[][TAILLE_MAX]);
void afficherAgenda(struct semaine *);
void remplirTab(char[][TAILLE_MAX],char[][5][TAILLE_MAX], int);
void freeAll(struct semaine *);
void creerListeChainee(struct semaine *, char[][5][TAILLE_MAX],int);

void remplirStructureListeC_AvecFicTxt(listeC_t *, char *, char *, char[][TAILLE_MAX]);
int fctContientMotif(char[TAILLE_MAX], char[TAILLE_MAX]);
void SDDintoFILE(semaine_t *);
void suppression2(char[TAILLE_MAX], char[TAILLE_MAX], char[TAILLE_MAX], char[5], char[3], char[2], char[3], int);
void creerSDDafficherAgendaPrintRecap(char[TAILLE_MAX]);

#endif