#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "hall_of_fame.h"

// un petit commentaire ?
void afficherDonnee(FILE * file, donnee_t d) {

   fprintf(file,"%s : %s avec %d\n",d.nom_jeu,d.alias,d.score);
   
}

char * fgets2(char * chaine, int taille, FILE * file){
   if(fgets(chaine,taille,file)==NULL){
      return NULL;
   }
   chaine[strlen(chaine)-1]='\0';
   return chaine;
}

// un petit commentaire ?
void saisirDonnee(FILE *file, donnee_t * p){

   fgets2(p->nom_jeu,100,file);
   fgets2(p->alias,40,file);
   char intScore[10];
   fgets2(intScore,10,file);
   p->score=atoi(intScore);
   
}

int tableauFromFilename(char * s, donnee_t d[TAILLE_MAX]){
   int i=0;
   FILE * file=fopen(s,"r");
   if (file != NULL){
      while (!feof(file)){
         saisirDonnee(file,&d[i]);
         i++;
      }
      i--;
      fclose(file);
   }
   return i;
}

liste_donnee creerListe(){
   liste_donnee L;
   L.debut=NULL;
   return L;
} 

void afficherListe(liste_donnee L){
   donnee_t *maillon=L.debut;
   int i=1;
   while(maillon != NULL){
      printf("\nMaillon %d :\nScore : %d\nNom du jeu : %s\nAlias : %s\n",i,maillon->score,maillon->nom_jeu,maillon->alias);
      maillon=maillon->suivant;
      i++;
   }
}

liste_donnee insererListe(liste_donnee L, donnee_t *maillon){
   maillon->suivant=L.debut;
   L.debut=maillon;
   return L;
}

void libererListe(liste_donnee L){
   donnee_t * ptrMaillon=L.debut;
   while(ptrMaillon != NULL){
      donnee_t * temp=ptrMaillon->suivant;
      free(ptrMaillon);
      ptrMaillon=temp;
   }
}
