#ifndef hall_of_fame_h
#define hall_of_fame_h
#include <stdio.h> 
#define TAILLE_MAX 50

/* DECLARATION DES TYPES PERSONNELS */
// et de leur typedef si besoin
typedef struct donnee {
    int score;
    char nom_jeu[100];
    char alias[40];
    struct donnee *suivant;

}donnee_t; 

typedef struct liste_donnee{
    donnee_t *debut;
} liste_donnee;

liste_donnee creerListe();
void afficherListe(liste_donnee);
liste_donnee insererListe(liste_donnee,donnee_t *);
void libererListe(liste_donnee);

/* DECLARATIONS DES METHODES */
void afficherDonnee(FILE *, donnee_t);
void saisirDonnee (FILE * , donnee_t *);
char * fgets2(char * , int , FILE * );
int tableauFromFilename(char * , donnee_t d[TAILLE_MAX]);
// mettre ici les autres declarations

//*******************************************
// Liste Chainée
//Choix tete de la liste : tete fictive (un pointeur d'une structure qui pointera sur la tete)




#endif