#include "moduleBase.h"
#include "moduleQuestion2et3.h"
#include "teZZt.h"

int main(int argc, char *argv[]) {

  if (argc == RUN_TEST) {
    // test arguments : pas besoin

    RUN_TEST_GROUP(tableauStructure);
  } else if (argc ==
             AFFICHE) { //////////////////////////////////////////////////////

    if (strlen(argv[i_NOM_FIC]) >= TAILLE_MAX) {
      argc = ERREUR;
    } else {

      creerSDDafficherAgendaPrintRecap(argv[i_NOM_FIC]);
    }
  } else if (
      argc ==
      AFFICHE_MOTIF) { ////////////////////////////////////////////////////////

    if (strlen(argv[i_NOM_FIC]) >= TAILLE_MAX ||
        strlen(argv[i_MOTIF]) >= TAILLE_MAX) {
      argc = ERREUR;
    } else {

      int taille = tailleFichier(argv[i_NOM_FIC]);
      listeC_t *listeC = malloc(sizeof(listeC_t));
      char listeContigue[taille][TAILLE_MAX];
      remplirStructureListeC_AvecFicTxt(listeC, argv[i_NOM_FIC], argv[i_MOTIF],
                                        listeContigue);

      FILE *fichierTemp = NULL;
      fichierTemp = fopen(nomFicTemp, "w");
      int compteur = 0;

      while (strcmp(listeC->debut + compteur * TAILLE_MAX, listeC->fin) != 0) {
        fprintf(fichierTemp, "%s", listeC->debut + compteur * TAILLE_MAX);
        compteur++;
      }
      listeC->fin[TAILLE_MAX - 2] = '\0';
      fprintf(fichierTemp, "%s", listeC->fin);
      fclose(fichierTemp);
      free(listeC);

      creerSDDafficherAgendaPrintRecap(nomFicTemp);
    }
  } else if (
      argc ==
      AFFICHE_MOTIF_SUPPR) { ///////////////////////////////////////////////////////

    if (strlen(argv[i_NOM_FIC]) >= TAILLE_MAX ||
        strlen(argv[i_MOTIF]) >= TAILLE_MAX ||
        strcmp(argv[i_SUPPR1], "SUPPR") != 0) {
      argc = ERREUR;
    } else {

      creerTempFiltre(argv[i_NOM_FIC], nomFicTemp, argv[i_MOTIF], "", "", "",
                      "", SUPPR);

      creerSDDafficherAgendaPrintRecap(nomFicTemp);
    }
  } else if (
      argc ==
      AFFICHE_MOTIF_DATE) { //////////////////////////////////////////////////////////////

    if (strlen(argv[i_NOM_FIC]) >= TAILLE_MAX ||
        strlen(argv[i_MOTIF]) >= TAILLE_MAX ||
        (strlen(argv[i_ANNEE]) != L_ANNEE && strlen(argv[i_ANNEE]) != L_VIDE) ||
        (strlen(argv[i_SEMAINE]) != L_SEMAINE &&
         strlen(argv[i_SEMAINE]) != L_VIDE) ||
        (strlen(argv[i_JOUR]) != L_JOUR && strlen(argv[i_JOUR]) != L_VIDE) ||
        (strlen(argv[i_HEURE]) != L_HEURE && strlen(argv[i_HEURE]) != L_VIDE)) {
      argc = ERREUR;
    } else {
      creerTempFiltre(argv[i_NOM_FIC], nomFicTemp, argv[i_MOTIF], argv[i_ANNEE],
                      argv[i_SEMAINE], argv[i_JOUR], argv[i_HEURE], SELECT);

      creerSDDafficherAgendaPrintRecap(nomFicTemp);
    }

  } else if (argc == AFFICHE_MOTIF_DATE_SUPPR) {

    if (strlen(argv[i_NOM_FIC]) >= TAILLE_MAX ||
        strlen(argv[i_MOTIF]) >= TAILLE_MAX ||
        (strlen(argv[i_ANNEE]) != L_ANNEE && strlen(argv[i_ANNEE]) != L_VIDE) ||
        (strlen(argv[i_SEMAINE]) != L_SEMAINE &&
         strlen(argv[i_SEMAINE]) != L_VIDE) ||
        (strlen(argv[i_JOUR]) != L_JOUR && strlen(argv[i_JOUR]) != L_VIDE) ||
        (strlen(argv[i_HEURE]) != L_HEURE && strlen(argv[i_HEURE]) != L_VIDE) ||
        strcmp(argv[i_SUPPR2], "SUPPR") != 0) {
      argc = ERREUR;
    } else {

      creerTempFiltre(argv[i_NOM_FIC], nomFicTemp, argv[i_MOTIF], argv[i_ANNEE],
                      argv[i_SEMAINE], argv[i_JOUR], argv[i_HEURE], SUPPR);

      creerSDDafficherAgendaPrintRecap(nomFicTemp);
    }
  } else {
    argc = ERREUR;
  }

  if (argc == ERREUR) {
    printf("ERREUR\n");
  }

  remove(nomFicTemp);

  return 0;
}