# include "moduleQuestion2&3.h"




/* -------------------------------------------------------------------- */
/* fctContientMotif, permet de                                          */
/*                                                                      */
/* En entrée:   chaine,                                                 */
/*              motif                                                   */
/*                                                                      */
/* En sortie: Aucune sortie                                             */
/* -------------------------------------------------------------------- */

int fctContientMotif(char *chaine, char *motif) {

  int OK = 0;
  int compteurChaine = 0;
  int compteurMotif = 0;

  
  if (*motif == '\0') {
    OK = 1;
  } else {

    while ((OK == 0) && (*(chaine + compteurChaine) != '\0')) {
      if (*(chaine + compteurChaine) == *motif) {

        compteurMotif = 0;
        while ((*(chaine + compteurChaine + compteurMotif) ==
                *(motif + compteurMotif)) &&
               (*(chaine + compteurChaine + compteurMotif) != '\0') &&
               (OK == 0)) {
          compteurMotif++;
          if (*(motif + compteurMotif) == '\0') {
            OK = 1;
          }
        }
      }
      compteurChaine++;
    }
  }

  return OK;
}




/* -------------------------------------------------------------------- */
/* remplirStructureListeC_AvecFicTxt, permet de                         */
/*                                                                      */
/* En entrée:   listeC                                                  */
/*              nomFichier                                              */
/*              motif                                                   */
/*              taille                                                  */
/*                                                                      */
/* En sortie: Aucune sortie                                             */
/* -------------------------------------------------------------------- */

void remplirStructureListeC_AvecFicTxt(listeC_t *listeC, char *nomFichier,
                                       char *motif, char listeContigue[][TAILLE_MAX]) {

  FILE *fichier = NULL;
  char chaine[TAILLE_MAX];
  fichier = fopen(nomFichier, "r");
 

  int compteurListeC = 0;

  if (fichier != NULL) {
    strcpy(chaine,"\0");
    while (fgets(chaine, TAILLE_MAX, fichier) != NULL) {
      if (fctContientMotif(chaine + 9, motif) == 1) {
       
        if (compteurListeC == 0) {
          strcpy(listeContigue[compteurListeC], chaine);
          compteurListeC++;
        } else {
          if (strcmp(chaine, listeContigue[compteurListeC - 1]) != 0) {
            strcpy(listeContigue[compteurListeC], chaine);
            compteurListeC++;
          }
        }
      }
      strcpy(chaine,"\0");
      }
    fclose(fichier);
    }
 
  listeC->debut = * listeContigue;
      listeC->fin = * (listeContigue + compteurListeC-1); 
  printf("%s\n",listeC->fin);
      for (int i = 0; i < compteurListeC; i++) {
        printf("%d    %s\n",i, listeContigue[i]);
     
      }}




  
    

    void SDDintoFILE(semaine_t * ptrTeteReelle) {

      FILE *fichier2 = NULL;
      char chaine[TAILLE_MAX];
      fichier2 = fopen("resultatCommande.txt", "w");
      // fprintf(fichier2,"HELLO\n");
      int init = 0;

      semaine_t *ptrSemCour = ptrTeteReelle;
      action_t *ptrActCour;

      while (ptrSemCour != NULL) {
        ptrActCour = ptrSemCour->act;
        while (ptrActCour != NULL) {
          strcpy(chaine, ptrSemCour->annee);
          strcat(chaine, ptrSemCour->semaine);
          strcat(chaine, ptrActCour->jour);
          strcat(chaine, ptrActCour->heure);
          strcat(chaine, ptrActCour->nom);
          if (init == 0) {
            fprintf(fichier2, "%s", chaine);
            init = 1;
          } else {
            fprintf(fichier2, "\n%s", chaine);
          }

          ptrActCour = ptrActCour->suiv;
        }
        ptrSemCour = ptrSemCour->suiv;
      }
      fclose(fichier2);
    }

   

void suppression2(char nomFichier[TAILLE_MAX], char nomFichierTemp[TAILLE_MAX], char motif[TAILLE_MAX], char annee[5], char semaine[3], char jour[2], char heure[3], int mode) {

  FILE * fichier=NULL;
  fichier=fopen(nomFichier,"r");

  FILE * temp=NULL;
  temp=fopen(nomFichierTemp,"w");

  char chaine[TAILLE_MAX];
  char chaineTemp[TAILLE_MAX];

  if(fichier != NULL){
    while(fgets(chaine,TAILLE_MAX,fichier) != NULL){
      int OK=1;
      
      if(fctContientMotif(chaine+9,motif) == mode){
        if(motif[0] != '\0'){
          OK=0;
        }
      }
      
      strcpy(chaineTemp,chaine);
      chaineTemp[4]='\0';
      if(fctContientMotif(chaineTemp,annee) == mode){
        if(annee[0] != '\0'){
          OK=0;
        }
      }

      strcpy(chaineTemp,chaine);
      chaineTemp[6]='\0';
      if(fctContientMotif(chaineTemp+4,semaine) == mode){
        if(semaine[0] != '\0'){
          OK=0;
        }
      }

      strcpy(chaineTemp,chaine);
      chaineTemp[7]='\0';
      if(fctContientMotif(chaineTemp+6,jour) == mode){
        if(jour[0] != '\0'){
          OK=0;
        }
      }

      strcpy(chaineTemp,chaine);
      chaineTemp[9]='\0';
      if(fctContientMotif(chaineTemp+7,heure) == mode){
        if(heure[0] != '\0'){
          OK=0;
        }
      }
      
      if(OK == 1){
        fprintf(temp, "%s", chaine);
        }
      
      
      
    }
    fclose(fichier);
  }
  fclose(temp);
  }